import request from '@/plugins/request/system';


/**
 * 权限列表
 * @param data
 * @constructor
 */
export function  SystemRolePath(data = {}) {
    return request({
        url: '/systemv1/rolepath/list',
        method: 'post',
        data : data
    });
}

/**
 * 权限列表树
 * @param data
 * @constructor
 */
export function  SystemRolePathTreeList(data = {}) {
    return request({
        url: '/systemv1/rolepath/tree',
        method: 'post',
        data : data
    });
}



/**
 * 权限栏目详情
 * @param data
 * @constructor
 */
export function  SystemRolePathInfo(data = {}) {
    return request({
        url: '/systemv1/rolepath/info',
        method: 'post',
        data : data
    });
}


/**
 * 权限栏目修改
 * @constructor
 */
export function SystemRolePathSave(data) {
    return request({
        url: '/systemv1/rolepath/save',
        method: 'post',
        data : data
    });
}

/**
 * 权限栏目删除
 * @constructor
 */
export function SystemRolePathDel(data) {
    return request({
        url: '/systemv1/rolepath/del',
        method: 'post',
        data : data
    });
}



/**
 * 设置栏目显示和关闭
 * @param data
 * @constructor
 */
export function  SystemRolePathStatusSet(data = {}) {
    return request({
        url: '/systemv1/rolepath/status',
        method: 'post',
        data : data
    });
}

